<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

class DBWorkDat_doc extends DBWorkGenerated
{
  public function __construct($pDBTyp = 1, $pNewInstance = false)
  {
    parent::__construct($pDBTyp, $pNewInstance);
    $this->select = 'lfdnr, datum, versandtam, bearbeitetam';
    $this->_dataModulFields = array('nr', 'typ', 'knr', 'beschreibung', 'datnamvorlage',
      'pfadvorlage', 'datnamdok', 'pfaddok', 'versandtvom', 'versandtals', 'dokumenttyp',
      'em_betreff', 'info', 'em_text', 'typtxt', 'easydocref', 'bearbeitetvon',
      'verantwortlicher', 'uebernkurskopie', 'em_adresse', 'versandviamail',
      'versandviamail_rchg', 'datum', 'versandtam', 'bearbeitetam', 'lfdnr',
      'ansprechid', 'datnamnr', 'kategorieid', 'angebotsid', 'deputat_id',
      'freigabe_doz_tools', 'freigabe_veran_tools', 'freigabe_tn_tools',
      'bereichsnr', 'hlextdokumentekat_id', 'honorar_id');
  }

  
  public function getNewObject()
  {
    return new Dat_doc();
  }

  public function getTableName(): string
  {
    return 'Dat_doc';
  }
}